﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IControlBase.cs" company="http://buginbox.wordpress.com/">
//   Copyright (c) GNU General Public License version 2 (GPLv2)
// </copyright>
// --------------------------------------------------------------------------------------------------------------------
namespace Wpf.Core.Control
{
    /// <summary>
    /// Base interface for all controls
    /// </summary>
    public interface IControlBase
    {
        #region UniqueId

        /// <summary>
        /// Gets or sets unique identifier for this Control. Based on parent's controls names.
        /// </summary>
        string UniqueId
        {
            get;
            set;
        }

        #endregion UniqueId

        #region Order

        /// <summary>
        /// Gets or sets order when displayed in a PRISM region
        /// </summary>
        /// <value>
        /// The order. 
        /// </value>
        int Order
        {
            get;
            set;
        }

        #endregion Order
    }
}